> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onetrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Websites to Scan

Use this API to add a website or multiple websites to the scanner.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0",
    "title": "Consent & Preferences - Cookie Consent (Swagger)"
  },
  "tags": [
    {
      "name": "Websites V2"
    }
  ],
  "paths": {
    "/v2/websites": {
      "post": {
        "tags": [
          "Websites V2"
        ],
        "summary": "Add Websites to Scan",
        "description": "Use this API to add a website or multiple websites to the scanner.",
        "operationId": "requestBulkAddDomainUsingPOST",
        "parameters": [
          {
            "name": "externalOrgId",
            "in": "query",
            "description": "The value defaults to the organization from which the client credentials were generated. Enter a specific sub-org ID if the filter results are desired.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/ScanWebsiteDto"
                }
              }
            }
          },
          "description": "List of Domains and their Details"
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "*/*": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceResponseDto"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "Not Found"
          },
          "429": {
            "description": "Too Many Requests\nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "description": "The number of seconds after which requests will be allowed again.",
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              },
              "ot-ratelimit-event-id": {
                "description": "The unique identifier for the rate-limiting event.",
                "schema": {
                  "type": "string",
                  "format": "uuid"
                }
              },
              "ot-requests-allowed": {
                "description": "The number of requests allowed within the specified period.",
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              },
              "ot-period": {
                "description": "The unit of time for which the rate limit applies.",
                "schema": {
                  "type": "string",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-request-made": {
                "description": "The number of requests made within the specified period.",
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [
          {
            "apikey": []
          },
          {
            "oauth2": [
              "COOKIE"
            ]
          }
        ]
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "metrics-enabled": false,
    "proxy-enabled": true
  },
  "x-onetrust": {
    "spec-label": "Swagger 2",
    "links": {
      "Cookie Consent Knowledge Base": "https://my.onetrust.com/s/topic/0TO1Q000000ItRyWAK/cookie-compliance"
    }
  },
  "servers": [
    {
      "url": "https://customer.my.onetrust.com/api/cookiemanager"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{$$.env.host}/api/access/v1/oauth/token",
            "scopes": {
              "COOKIE": "Cookie Scope gives the user access to read/write operations inside the Cookie Consent module.",
              "COOKIE_READ": "Cookie Read Scope gives the user read-only access to the Cookie Consent module.",
              "COOKIE_FREE": "Cookie free Scope gives free users access to apis having free scope associated to them inside the Cookie Consent module."
            }
          }
        }
      }
    },
    "schemas": {
      "ScanWebsiteDto": {
        "title": "ScanWebsiteDto",
        "description": "Website details for scan",
        "type": "object",
        "required": [
          "domain",
          "numberOfPages",
          "independentPaths"
        ],
        "properties": {
          "domain": {
            "type": "string",
            "description": "Domain name of the website to scan.",
            "minLength": 1
          },
          "numberOfPages": {
            "type": "integer",
            "description": "Number of pages to scan. Number of pages depend on page limit set for each tenant. If a higher value is provided, then the page limit will have priority.",
            "default": 1000
          },
          "independentPaths": {
            "type": "boolean",
            "description": "Whether to scan independent paths.",
            "default": false
          },
          "includedQueryParams": {
            "type": "string",
            "description": "Query parameters to include in the scan."
          },
          "siteMapsUris": {
            "type": "string",
            "description": "URIs for the sitemaps.",
            "maxLength": 3000
          },
          "geoLocation": {
            "type": "string",
            "description": "Geographical location for the scan."
          },
          "uniqueUserAgent": {
            "type": "boolean",
            "description": "Indicates if a unique user agent should be used.",
            "default": true
          },
          "limitScanToSitemap": {
            "type": "boolean",
            "description": "Limits the scan to the sitemap.",
            "default": false
          },
          "googleLoginState": {
            "type": "boolean",
            "description": "Indicates if Google login is required.",
            "default": false
          },
          "targetPageInputs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TargetPagesScanEntityDto"
            },
            "description": "List of target pages to scan."
          }
        }
      },
      "TargetPagesScanEntityDto": {
        "title": "TargetPagesScanEntityDto",
        "description": "Target page for scan and details",
        "type": "object",
        "required": [
          "pageListName",
          "targetType",
          "urlType",
          "pageUrls"
        ],
        "properties": {
          "pageListName": {
            "type": "string",
            "description": "Name of the page list.",
            "minLength": 1
          },
          "targetType": {
            "type": "string",
            "description": "Type of targeting for the URLs",
            "minLength": 1,
            "enum": [
              "IncludeOnly",
              "Exclude",
              "Target"
            ]
          },
          "urlType": {
            "type": "string",
            "description": "Specify which level of inclusion or exclusion is desired",
            "minLength": 1,
            "enum": [
              "Page",
              "Path",
              "Subdomain"
            ]
          },
          "pageUrls": {
            "type": "string",
            "description": "List of valid URLs, one per line. URLs should start with \"https://\" or \"http://\"",
            "minLength": 1
          }
        }
      },
      "ServiceResponseDto": {
        "type": "object",
        "properties": {
          "consentPolicyId": {
            "type": "string",
            "description": "Consent policy associated with the scan."
          },
          "domainId": {
            "type": "string",
            "format": "uuid",
            "description": "ID of the domain under scan."
          },
          "message": {
            "type": "string",
            "description": "Scan response message."
          },
          "notificationTemplateId": {
            "type": "string",
            "description": "Notification template associated with the scan."
          },
          "ok": {
            "type": "boolean"
          },
          "rescan": {
            "type": "boolean",
            "description": "Flag to indicate if the rescan is required or not."
          }
        },
        "title": "ServiceResponseDto"
      }
    }
  }
}
```